This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 463410 - AVC Denial fail2ban
AVC Denial fail2ban
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: fail2ban (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-23 04:33 EDT by Frank Murphy
Modified: 2009-07-31 13:37 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-27 07:21:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Sealert1 (2.98 KB, text/plain)
2008-09-23 04:33 EDT, Frank Murphy
no flags Details
Sealert2 (2.68 KB, text/plain)
2008-09-23 05:48 EDT, Frank Murphy
no flags Details

  None (edit)
Description Frank Murphy 2008-09-23 04:33:07 EDT
Created attachment 317448 [details]
Sealert1

Description of problem: avc denial fail2ban


Version-Release number of selected component (if applicable):
selinux-policy-devel-3.0.8-115.fc8
libselinux-2.0.43-1.fc8
libselinux-python-2.0.43-1.fc8
selinux-policy-targeted-3.0.8-115.fc8
selinux-policy-3.0.8-115.fc8


How reproducible: F8 (samba\ssh server) always


Steps to Reproduce:
1. sshd, fail2ban, inadyn started (rl 3-5)
2.
3.
  
Actual results:
avcs'

Expected results:
No avc re fail2ban

Additional info:  sealert attached

restorecon -v '/var/log/fail2ban.log'
[root@server-01 ~]# audit2allow -M fail2ban < /var/log/audit/audit.log
******************** IMPORTANT ***********************
To make this policy package active, execute:

semodule -i fail2ban.pp

[root@server-01 ~]# semodule -i fail2ban.pp
libsepol.print_missing_requirements: fail2ban's global requirements were not met: type/attribute fail2ban_log_t
libsemanage.semanage_link_sandbox: Link packages failed
semodule:  Failed!
Comment 1 Frank Murphy 2008-09-23 05:48:38 EDT
Created attachment 317453 [details]
Sealert2 

Gam_server\ fail2ban avc denial
Comment 2 Daniel Walsh 2008-09-23 11:48:48 EDT
The first group of avc's are related to a leaked file descriptor in fail2ban which has already been reported.  The second is caused by fail2ban trying to use a gam_server which was started by the yum daemon I believe.  

It should not be using gam_server?  Why is this necessary?
Comment 3 Daniel Walsh 2008-09-23 11:50:48 EDT
All of these AVC's can be ignored by the way. 


When you create a custom policy module make sure it does not conflict with an existing policy module.

I always previx with my.

# audit2allow -M myfail2ban < /var/log/audit/audit.log
# semodule -i myfail2ban.pp

Otherwise you will replace the system policy module with the one you wrote and things will blow up.
Comment 4 Frank Murphy 2008-09-23 11:56:48 EDT
(In reply to comment #2)
> The first group of avc's are related to a leaked file descriptor in fail2ban
> which has already been reported.  The second is caused by fail2ban trying to
> use a gam_server which was started by the yum daemon I believe.  
> 
> It should not be using gam_server?  Why is this necessary?

It was noted here:
https://bugzilla.redhat.com/show_bug.cgi?id=435298

will disable auto: and try polling see what happens
Comment 5 Frank Murphy 2008-10-06 11:57:46 EDT
No avc denials when "polling" is used.
(Server currently down so cannot do further checking until,
new sata(s) arrive.
Comment 6 Frank Murphy 2008-11-02 06:45:02 EST
With polling no alerts
Comment 7 Bug Zapper 2008-11-26 06:10:27 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Daniel Walsh 2008-11-27 07:21:31 EST
I am closing as this bug is fixed and other bugs have been reported telling fail2ban to not use gamin.

Note You need to log in before you can comment on or make changes to this bug.